<template>
	<view>
		<!-- 用户未登录时，显示登录组件 -->
		<my-login v-if="!token && token === ''"></my-login>
		
		<!-- 用户登录后，显示用户信息组件 -->
		<my-userinfo v-else></my-userinfo>
	</view>
</template>

<script>
	import { mapState, mapMutations } from 'vuex'
	
	export default {
		computed: {
			...mapState('m_user', ['token']),
			...mapState('m_user', ['userinfo'])
			
		},
		data() {
			return {
			};
		},
		onReady() {
			this.findVerifyStatus()
		},
		onHide() {
			this.findVerifyStatus()
		},
		methods: {
			...mapMutations('m_user', ['updateAuthentication','updateToken']),

			
			// 查询是否通过了老师认证
			async findVerifyStatus() {
				const { data: result } = await uni.$http.get('/education/teacher-certifications/findVerifyStatus')
				const message = result.message
				// console.log("fff")
				this.updateAuthentication(message)
			},
			            /**
						 *分享处理函数，可以响应2类事件，1是button,2是右上角的menu中的Send to Chat
						 * button用法：<button class="forshare" open-type="share">share</button>
						 * menu用法：不用引入变量，当页面有这个函数时， Send to Chat会启用，否则灰色
						 * path中的uid=txj123,txj123应该换为真实的用户号，当这个分享的卡片被打开时，小程序可以取到这个号
						 */
			
						onShareAppMessage: function () {
							//console.log(this.userinfo)
							return {
							  title: this.userinfo.alias + ' 的分享',
							  path: '/pages/home/home?uid=' + this.userinfo.uid
							}
						  }	

		}
	}
</script>

<style lang="scss">
</style>
